> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasbroker.md).

# New-RASBroker

### NAME

New-RASBroker\ <br>

### SYNOPSIS

Adds a RAS Connection Broker server to a site.\ <br>

### SYNTAX

New-RASBroker \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#SiteId)] *\<uint>*] \[-[NoFireWallRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#NoFireWallRules) *\<SwitchParameter>*] \[-[NoInstall](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#NoInstall) *\<SwitchParameter>*] \[-[NoRestart](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#NoRestart) *\<SwitchParameter>*] \[-[Takeover](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Takeover) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#CommonParameters)*>*]\
\
New-RASBroker \[-[Server](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Server)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#SiteId)] *\<uint>*] -[Password](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Password) *\<SecureString>* -[Username](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Username) *\<string>* \[-[NoFireWallRules](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#NoFireWallRules) *\<SwitchParameter>*] \[-[NoRestart](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#NoRestart) *\<SwitchParameter>*] \[-[Takeover](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#Takeover) *\<SwitchParameter>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/New-RASBroker.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Adds a RAS Connection Broker server to a site.\
\
The agent software will be installed on the server by default. You can optionally skip the agent installation by including the -NoInstall parameter.\ <br>

### PARAMETERS

\
-**Server \<string>**\
FQDN or IP address of the server to add to a site as a RAS Connection Broker.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID to which to add the RAS Connection Broker server.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Username \<string>**\
An administrator account for push installing the agent on the server.\
\
If this parameter is omitted, your RAS admin username and password will be used.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Password \<SecureString>**\
The password of the account specified in the Username parameter.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoInstall \<SwitchParameter>**\
Specifies not to install the agent software on the server.\
\
If you omit this parameter, the agent will be push installed on the server using your RAS admin credentials.\
\
To specify different credentials, include the Username and Password parameters.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoRestart \<SwitchParameter>**\
Specifies not to restart the server after the RAS Connection Broker is installed.\
\
If this parameter is omitted, the server will be restarted if required.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**NoFireWallRules \<SwitchParameter>**\
Specifies not to add firewall rules to allow the RAS Connection Broker to communicate.\
\
If this parameter is omitted, the firewall rules will not be added.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                False
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**Takeover \<SwitchParameter>**\
Specifies to takeover the RAS Connection Broker that is installed on the server, if installed.\
\
If this parameter is omitted and the RAS Connection Broker is installed, this service will not be taken over.\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                True
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[Broker](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/Broker.html)

### EXAMPLES

\
**---------- EXAMPLE 1 ----------**\
\
New-RASBroker "server.company.dom"\
\
Adds the specified server to the Licensing Server site as a RAS Connection Broker.\
\
The agent software will be installed on the server automatically.\
\
To add a RAS Connection Broker to a specific site, add the -SiteId parameter.<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/new-rasbroker.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
